%define upstream_name    Devel-MAT
%define upstream_version 0.49

%global __requires_exclude ^perl\\(Devel::MAT::Tool::Find::filter\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Working out what an SV actually is
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Commandable::Invocation) >= 0.40.0
BuildRequires: perl(Devel::MAT::Dumper) >= 0.350.0
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Feature::Compat::Try)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Heap)
BuildRequires: perl(List::Util) >= 1.440.0
BuildRequires: perl(List::UtilsBy)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(String::Tagged) >= 0.150.0
BuildRequires: perl(String::Tagged::Terminal) >= 0.30.0
BuildRequires: perl(Struct::Dumb) >= 0.70.0
BuildRequires: perl(Syntax::Keyword::Match)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl-devel
%description
A 'Devel::MAT' instance loads a heapdump file, and provides a container to
store analysis tools to work on it. Tools may be provided that conform to
the the Devel::MAT::Tool manpage API, which can help analyse the data and
interact with the explorer user interface by using the methods in the the
Devel::MAT::UI manpage package.

File Format
    The dump file format is still under development, so at present no
    guarantees are made on whether files can be loaded over mismatching
    versions of 'Devel::MAT'. However, as of version 0.11 the format should
    be more extensible, allowing new SV fields to be added without breaking
    loading - older tools will ignore new fields and newer tools will just
    load undef for fields absent in older files. As the distribution
    approaches maturity the format will be made more stable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# https://rt.cpan.org/Public/Bug/Display.html?id=134117
rm -f t/02contexts.t

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/pmat
/usr/bin/pmat-cat-svpv
/usr/bin/pmat-counts
/usr/bin/pmat-diff
/usr/bin/pmat-leakreport
/usr/bin/pmat-list-orphans
/usr/share/man/man1/pmat.1.xz


%changelog
* Sat Oct 08 2022 guillomovitch <guillomovitch> 0.490.0-1.mga9
+ Revision: 1895417
- new version 0.49

* Mon Sep 05 2022 tv <tv> 0.480.0-1.mga9
+ Revision: 1884174
- update to 0.48

* Thu Aug 04 2022 tv <tv> 0.470.0-2.mga9
+ Revision: 1875087
- Rebuild for perl-5.36

* Sun Apr 03 2022 guillomovitch <guillomovitch> 0.470.0-1.mga9
+ Revision: 1842266
- new version 0.47

* Thu Mar 31 2022 guillomovitch <guillomovitch> 0.460.0-1.mga9
+ Revision: 1836940
- new version 0.46

* Sat Mar 19 2022 guillomovitch <guillomovitch> 0.450.0-4.mga9
+ Revision: 1800602
- fix dependencies

* Thu Mar 17 2022 umeabot <umeabot> 0.450.0-3.mga9
+ Revision: 1796950
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 0.450.0-2.mga9
+ Revision: 1787647
- new version 0.45
- imported package perl-Devel-MAT


* Wed Feb 16 2022 cpan2dist 0.44-1mga
- initial mageia release, generated with cpan2dist
